cURL
curl --request GET \
--url https://api.spotflow.co/api/v1/payments/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spotflow.co/api/v1/payments/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spotflow.co/api/v1/payments/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference": "REF123456789",
"amount": 100,
"currency": "USD",
"status": "SUCCESS",
"spotflowReference": "SPF-REF-001",
"localAmount": 156000,
"totalFees": 500,
"localCurrency": "NGN",
"channel": "card",
"mode": "TEST",
"rate": 1560,
"region": "Nigeria",
"authorization": {
"mode": "Pin"
},
"ussd": {
"code": "*737#",
"paymentCode": "123456"
},
"bankDetails": {
"accountName": "John Doe",
"accountNumber": "0123456789",
"bankName": "Access Bank"
},
"card": {
"type": "VISA",
"firstSix": "412345",
"lastFour": "6789"
},
"createdAt": "2025-10-17T15:21:11.287Z",
"metadata": {
"orderId": "ORD-000123",
"note": "First payment"
},
"totalTaxAmount": 50,
"totalLocalAmount": 156050,
"planId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"mobileMoney": {
"otp": "1234",
"code": "MTN",
"name": "MTN Mobile Money",
"phoneNumber": "+233540000000"
}
}{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"error": "Unauthorized",
"message": "invalid_credentials",
"status": 401
}Payment Collections
Verify Payment
Confirm the status of a payment
GET
/
payments
/
verify
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The unique identifier of the payment.
Response
A JSON array of payment objects.
Example:
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Example:
"REF123456789"
Example:
100
Example:
"USD"
Example:
"SUCCESS"
Example:
"SPF-REF-001"
Example:
156000
Example:
500
Example:
"NGN"
Example:
"card"
Example:
"TEST"
Example:
1560
Example:
"Nigeria"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2025-10-17T15:21:11.287Z"
Show child attributes
Show child attributes
Example:
{
"orderId": "ORD-000123",
"note": "First payment"
}
Example:
50
Example:
156050
Example:
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Show child attributes
Show child attributes
⌘I

